"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadLightInteraction = loadLightInteraction;
const engine_1 = require("@tsparticles/engine");
const ExternalLighter_js_1 = require("./ExternalLighter.js");
const ParticlesLighter_js_1 = require("./ParticlesLighter.js");
async function loadLightInteraction(engine, refresh = true) {
    (0, engine_1.assertValidVersion)(engine, "3.7.1");
    await engine.addInteractor("externalLight", container => {
        return Promise.resolve(new ExternalLighter_js_1.ExternalLighter(container, engine));
    }, refresh);
    await engine.addInteractor("particlesLight", container => {
        return Promise.resolve(new ParticlesLighter_js_1.ParticlesLighter(container, engine));
    }, refresh);
}
__exportStar(require("./Options/Classes/Light.js"), exports);
__exportStar(require("./Options/Classes/LightArea.js"), exports);
__exportStar(require("./Options/Classes/LightGradient.js"), exports);
__exportStar(require("./Options/Classes/LightShadow.js"), exports);
__exportStar(require("./Options/Interfaces/ILight.js"), exports);
__exportStar(require("./Options/Interfaces/ILightArea.js"), exports);
__exportStar(require("./Options/Interfaces/ILightGradient.js"), exports);
__exportStar(require("./Options/Interfaces/ILightShadow.js"), exports);
