(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./LightGradient.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.LightArea = void 0;
    const engine_1 = require("@tsparticles/engine");
    const LightGradient_js_1 = require("./LightGradient.js");
    class LightArea {
        constructor() {
            this.gradient = new LightGradient_js_1.LightGradient();
            this.radius = 1000;
        }
        load(data) {
            if ((0, engine_1.isNull)(data)) {
                return;
            }
            this.gradient.load(data.gradient);
            if (data.radius !== undefined) {
                this.radius = data.radius;
            }
        }
    }
    exports.LightArea = LightArea;
});
