(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.LightGradient = void 0;
    const engine_1 = require("@tsparticles/engine");
    class LightGradient {
        constructor() {
            this.start = new engine_1.OptionsColor();
            this.stop = new engine_1.OptionsColor();
            this.start.value = "#ffffff";
            this.stop.value = "#000000";
        }
        load(data) {
            if ((0, engine_1.isNull)(data)) {
                return;
            }
            this.start = engine_1.OptionsColor.create(this.start, data.start);
            this.stop = engine_1.OptionsColor.create(this.stop, data.stop);
        }
    }
    exports.LightGradient = LightGradient;
});
